---
title: MediaDeviceInfo.deviceId
slug: Web/API/MediaDeviceInfo/deviceId
tags:
  - API
  - Experimental
  - Media
  - MediaDevicesInfo
  - Property
  - deviceId
---
<p>{{SeeCompatTable}}{{APIRef("Media Capture")}}</p>

<p><span class="seoSummary">The <strong><code>deviceId</code></strong> readonly property of the {{domxref("MediaDeviceInfo")}} interface returns a {{domxref("DOMString")}} that is an identifier for the represented device and is persisted across sessions.</span> It is un-guessable by other applications, and unique to the origin of the calling application. It is reset when the user clears cookies. For private browsing, a different identifier is used that is not persisted across sessions.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var deviceID = MediaDeviceInfo.deviceId</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Media Capture','#dom-mediadeviceinfo-deviceid','deviceId')}}</td>
   <td>{{Spec2('Media Capture')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.MediaDeviceInfo.deviceId")}}</p>
</div>
